Name:	 dargui
Version:  0.7.2
Release:  %mkrel 1

Summary:  DarGUI - frontend for the Disk ARchiving utility (DAR)
License:  GPL
Group:	  Archiving/Backup
URL:      http://dargui.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Source0:   %{name}-%{version}-src.tar.xz
Source1:   %{name}.png
Patch:	   %{name}.lpi.patch
BuildRequires:	desktop-file-utils
BuildRequires:	lazarus
Requires: dar

%description
DarGUI is a graphical frontend for the Disk ARchiving utility (DAR)
that aims to make it easier and quicker to perform common backup
tasks using DAR. It uses the GTK+ library, which is installed on
most Linux distributions, so usually the only additional dependency
is DAR. DarGUI aims to complement and enhance the command line
features of DAR rather than conceal them, and to help users to
learn how DAR works so that they can use it from the command line
when necessary.

%prep
%setup -q -n %{name}-%{version}-src

/bin/cat /usr/src/packages/SOURCES/dargui.lpi.patch | /usr/bin/patch -s -p0

# deactivate some specials :)
%__sed -i -e 's|/home/malcolm/lazarus/dargui/||g' \
	dargui.lpi
%__sed -i -e 's|<ExecuteBefore>|<!--<ExecuteBefore>|g' \
	dargui.lpi
%__sed -i -e 's|</ExecuteBefore>|<ExecuteBefore> -->|g' \
	dargui.lpi
%__sed -i -e 's|<ExecuteAfter>|<!--<ExecuteAfter>|g' \
	dargui.lpi
%__sed -i -e 's|</ExecuteAfter>|<ExecuteAfter> -->|g' \
	dargui.lpi
%__sed -i -e 's|/home/malcolm/lazarus/dargui/||g' \
	darlogger.lpi

# adjust doc-path 
%__sed -i -e 's|/usr/share/doc/dargui|%{_docdir}/%{name}/docs|g' \
	darintf.pas

%build

%ifarch x86_64
	%__sed -i -e 's|<TargetProcessor Value="386"/>||g' \
		dargui.lpi
	%__sed -i -e 's|<TargetCPU Value="i386"/>||g' \
		dargui.lpi

	# force lazbuild to use /usr/lib64/lazuraus ...
	%__install -dm 755 lazarus
	%__cp /etc/lazarus/environmentoptions.xml lazarus
	%__sed -i -e 's|/usr/lib/lazarus|%{_libdir}/lazarus|g' \
		lazarus/environmentoptions.xml
	
	ln -s %{_libdir}/lazarus/components/synedit/units/x86_64-linux/synregexpr.o .
	ln -s %{_libdir}/lazarus/components/synedit/units/x86_64-linux/synregexpr.ppu .
%else
	ln -s %{_libdir}/lazarus/components/synedit/units/i386-linux/synregexpr.o .
	ln -s %{_libdir}/lazarus/components/synedit/units/i386-linux/synregexpr.ppu .
%endif

%ifarch x86_64
lazbuild -B --cpu=x86_64 dargui.lpr
lazbuild --cpu=x86_64 --widgetset=gtk2 -B darlogger.lpr
%else
lazbuild -B dargui.lpr
lazbuild --widgetset=gtk2 -B darlogger.lpr
%endif

%install
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 %{name} \
	%{buildroot}%{_bindir}
%__install -m 755 darlogger \
	%{buildroot}%{_bindir}

%__install -dm 755 %{buildroot}%{_datadir}/%{name}
%__install -m 755 scripts/*.sh \
	%{buildroot}%{_datadir}/%{name}
%__install -dm 755 %{buildroot}%{_datadir}/%{name}/locales
%__install -m 644 locales/* \
	%{buildroot}%{_datadir}/%{name}/locales

# man page
%__install -dm 755 %{buildroot}%{_mandir}/man1
%__install -m 644 docs/man/dargui.1.gz \
	%{buildroot}%{_mandir}/man1
%__rm -r docs/man
%__rm -rf %{buildroot}/lazarus/environmentoptions.xml


# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{SOURCE1} \
	%{buildroot}%{_datadir}/pixmaps

# menu-entry
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Comment=GUI for Dar archive manager
Exec=dargui
GenericName=Dar archive manager
Icon=%{name}
Name=DarGUI
StartupNotify=true
Terminal=false
Type=Application
Categories=System;Backup;X-MandrivaLinux-System-Archiving-Compression;
X-KDE-SubstituteUID=false
EOF


%clean
rm -rf $RPM_BUILD_ROOT 
rm -rf $RPM_BUILD_DIR

%post
%update_menus


%postun
%clean_menus

%files
%defattr(-,root,root,-)
%doc changelog
%doc docs
%doc %{_mandir}/man1/%{name}*
%{_bindir}/%{name}
%{_bindir}/darlogger
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png

%changelog
* Sun Sep 15 2013 Ken <lxgator at gmail.com> 0.7.2-1pclos2013
- Initial build
